Package org.eclipse.rdf4j.model.vocabulary

## Class VANN

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.VANN

-     public class VANN
      extends Object

  Constants for a vocabulary for annotating vocabulary descriptions (VANN).
  See Also:
    A vocabulary for annotating vocabulary descriptions (VANN)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `CHANGES` | A reference to a resource that describes changes between this version of a vocabulary and the previous.
    `static IRI` | `EXAMPLE` | A reference to a resource that provides an example of how this resource can be used.
    `static String` | `NAMESPACE` | The VANN namespace: http://purl.org/vocab/vann/
    `static Namespace` | `NS` | An immutable `Namespace` constant that represents the VANN namespace.
    `static IRI` | `PREFERRED_NAMESPACE_PREFIX` | The preferred namespace prefix to ue when using terms from this vocabulary in an XML document.
    `static IRI` | `PREFERRED_NAMESPACE_URI` | The preferred namespace URI to use when using terms from this vocabulary in an XML document.
    `static String` | `PREFIX` | Recommended prefix for the VANN namespace: "vann"
    `static IRI` | `TERM_GROUP` | A group of related terms in a vocabulary.
    `static IRI` | `USAGE_NOTE` | A reference to a resource that provides information on how this resource is to be used.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VANN()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The VANN namespace: http://purl.org/vocab/vann/
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the VANN namespace: "vann"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the VANN namespace.

    - #### CHANGES

          public static final IRI CHANGES

      A reference to a resource that describes changes between this version of a vocabulary and the previous.

    - #### EXAMPLE

          public static final IRI EXAMPLE

      A reference to a resource that provides an example of how this resource can be used.

    - #### PREFERRED_NAMESPACE_PREFIX

          public static final IRI PREFERRED_NAMESPACE_PREFIX

      The preferred namespace prefix to ue when using terms from this vocabulary in an XML document.

    - #### PREFERRED_NAMESPACE_URI

          public static final IRI PREFERRED_NAMESPACE_URI

      The preferred namespace URI to use when using terms from this vocabulary in an XML document.

    - #### TERM_GROUP

          public static final IRI TERM_GROUP

      A group of related terms in a vocabulary.

    - #### USAGE_NOTE

          public static final IRI USAGE_NOTE

      A reference to a resource that provides information on how this resource is to be used.

  - ### Constructor Detail

    - #### VANN

          public VANN()